| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSoftwareOutputFilter Struct Reference
[Sound system]

Temporary filter interface definition. More...

`#include <isndsys/ss_filter.h>`

Inheritance diagram for iSndSysSoftwareOutputFilter:

[legend]
List of all members.

## Public Member Functions
virtual void | DeliverData (const csSoundSample *SampleBuffer, size_t Frames)=0
| Called to deliver data to the filter.
virtual bool | FormatNotify (const csSndSysSoundFormat *pSoundFormat)=0
| Return TRUE to acknowledge that the format is supported and the filter.
| SCF_INTERFACE (iSndSysSoftwareOutputFilter, 0, 1, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

## Detailed Description

Temporary filter interface definition.

Definition at line 93 of file ss_filter.h.

## Member Function Documentation

virtual void iSndSysSoftwareOutputFilter::DeliverData | ( | const csSoundSample * | SampleBuffer,
|  | size_t | Frames |
| ) |  |  | `[pure virtual]`

Called to deliver data to the filter.

virtual bool iSndSysSoftwareOutputFilter::FormatNotify | ( | const csSndSysSoundFormat * | pSoundFormat | ) | `[pure virtual]`

Return TRUE to acknowledge that the format is supported and the filter.

iSndSysSoftwareOutputFilter::SCF_INTERFACE | ( | iSndSysSoftwareOutputFilter | ,
|  | 0 | ,
|  | 1 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

The documentation for this struct was generated from the following file:

- isndsys/ss_filter.h